Bug 981016 - [gstreamer-1.0] plugin libgstflump3dec.so not found in $HOME/.gstreamer-1.0/plugins/
[gstreamer-1.0] plugin libgstflump3dec.so not found in $HOME/.gstreamer-1.0/p...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 15:24 EDT by Joachim Frieben
Modified: 2015-02-17 10:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2013-07-03 15:24:20 EDT
Description of problem:
Similar to the case of gstreamer-0.10, I have copied the plugin libgstflump3dec.so from the Fluendo web site into the directory $HOME/.gstreamer-1.0/plugins. However, unlike gst-inspect-0.10, libgstflump3dec.so is not reported by gst-inspect-1.0, and applications like totem suggest to search the web for an MP3 plugin.

Version-Release number of selected component (if applicable):
gstreamer1-1.0.7-1.fc19

How reproducible:
Always.

Steps to Reproduce:
1. Open an MP3 file with totem or rhythmbox. 

Actual results:
No audio; the application complains about a missing MP3 codec. gst-inspect-1.0 does not report the presence of libgstflump3dec.so whereas gst-inspect-0.10 still does.

Expected results:
The MP3 file is played as expected.

Additional info:
$ ls -lR .gstreamer-*
.gstreamer-0.10:
total 692
drwxr-xr-x. 2 frieben users   4096 Jun 24 22:42 plugins/
-rw-------. 1 frieben users 700643 Jul  3 20:24 registry.x86_64.bin

.gstreamer-0.10/plugins:
total 1468
-rwxr-xr-x. 1 frieben users 1500352 Mar  5 16:20 libgstflump3dec.so*

.gstreamer-1.0:
total 4
drwxr-xr-x. 2 frieben users 4096 Jul  3 02:08 plugins/

.gstreamer-1.0/plugins:
total 1508
-rwxr-xr-x. 1 frieben users 1541000 Mar  5 16:20 libgstflump3dec.so*

- Note that no file registry.x86_64.bin has been created in .gstreamer-1.0/plugins.
- Both plugins have been downloaded together and are well the codecs for the respective version of gstreamer.
- No improvement by adding the kernel SELinux option `enforcing=0'.
- MP3 files can be played correctly after installing the corresponding RPM which places libgstflump3dec.so in
    /usr/lib64/gstreamer-0.10/libgstflump3dec.so
    /usr/lib64/gstreamer-1.0/libgstflump3dec.so
  which leads to the conclusion that gstreamer1 does not look up the directory $HOME/.gstreamer-1.0/plugins. Once fluendo-codecs-mp3-18-3.x86_64 is installed, gst-inspect-1.0 and gst-inspect-0.10 -both- report
    `flump3dec:  flump3dec: Fluendo MP3 Decoder (IPP build)'
  whereas before only gst-inspect-0.10 did for $HOME/.gstreamer-1.0/plugins/libgstflump3dec.so.
Comment 1 Joachim Frieben 2013-07-03 15:39:40 EDT
Correction: `whereas before only gst-inspect-0.10 did for $HOME/.gstreamer-0.10/plugins/libgstflump3dec.so.'
Comment 2 Fedora End Of Life 2015-01-09 13:38:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:49:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.